
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何用一行命令让 Systemd 崩溃 / iVAN</title>

    <meta name="description" content="如何用一行命令让 Systemd 崩溃 以任何一个用户运行下面的命令行,都会让systemd崩溃: 1NOTIFY_SOCKET=/run/systemd/notify systemd-notify &quot;&quot;  运行这行命令后,PID 1将在系统调用pause这里挂起,再也不能启动或停止后台程序.inetd-style服务不再接受任何连接.你也不能干净地重启系统,系统一般会感觉不稳定(例如,从systemd与登录系统集成后,ssh和su处于30秒的假死状态).短的可以写在一条Tweet里的命令就会导致以上所有情况. 这 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何用一行命令让 Systemd 崩溃</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODgvNzUvd0tpb20xZjRkR25qWE82bkFBQnFtZ1dmcENZMDI1LmpwZy13aF82NTF4LXNfMzc3MTA5MTgwOC5qcGc=.jpg"></p>
<p>以任何一个用户运行下面的命令行，都会让systemd崩溃：</p>
<pre>
</pre>
<ol>
<li>1NOTIFY_SOCKET=/run/systemd/notify systemd-notify "" </li>
</ol>
<p>运行这行命令后，PID 1将在系统调用pause这里挂起，再也不能启动或停止后台程序。inetd-style服务不再接受任何连接。你也不能干净地重启系统，系统一般会感觉不稳定(例如，从systemd与登录系统集成后，ssh和su处于30秒的假死状态)。短的可以写在一条Tweet里的命令就会导致以上所有情况。</p>
<p>这个bug非常普通。上述的systemd-notify 命令向位于/run/systemd/notify的全局UNIX域socket发送一个长度为零的消息。PID 1接收到这条消息，并且断言(消息长度大于0)判断为错误。尽管这个这个bug非常普通，但却非常严重，它允许任何本地用户很轻松的向关键的系统组件通过拒绝服务的方式发起攻击。</p>
<p>立即有人提出关于这个bug的疑问：是什么样的质量保证过程能使如此简单的bug生存了两年以上(这个bug在systemd 209就被引入了)。难道这个空串不是一个很明显的测试用例吗?有人希望最重要的用户空间进程PID 1能得到更好的质量保证。不幸的是，按照浏览systemd提交日志的情况来看，PID1的崩溃似乎并不罕见，比如：</p>
<ul>
<li>coredump：仅在PID 1崩溃时关闭coredump，而不是journald崩溃时</li>
<li>coredump: 确保以不同的方式处理PID 1 崩溃和journald崩溃</li>
<li>corddump：当journald或PID 1崩溃时彻底关闭coredump采集</li>
</ul>
<p>Systemd出问题远不止是一个bug。Systemd的设计本来就有缺陷，要写出没有bug的软件及其困难。即使是优秀的程序员也不可避免在systemd这样的规模和复杂程度的项目中带入缺陷。然而，一旦优秀的程序员意识到了编写没有bug的软件的困难性，也就懂得了另外一种重要性，即在设计软件时降低bug发生的可能性或至少减少bug带来的影响。但是systemd的开发者没理解这一点，他们选择了用大量不必要的复杂内容填入到PID 1，并作为root用户运行，同时还采用了一种内存不安全的语言编写。</p>
<p>一定的复杂性是意料之中的，因为systemd提供了一些有用和有说服力的功能(尽管这些功能不是由systemd发明，但由它推广的)。systemd是否取得了功能性与复杂性之间的适当权衡，关于这一点还存在争议。但可以确认的是，systemd的复杂性不应该由PID 1来解决。正如 Rich Felker 所解释的， PID 1的唯一工作就是执行实际的init系统，并接管僵尸进程。除此之外，实际的init系统即使作为非PID 1进程运行时，也应以模块化的方式构造，使得某个高风险部件的故障不会影响更关键的部件。例如，守护管理相关代码出现的故障不应影响系统的正常重启。</p>
<p>特别的，对从不可信来源接收信息的任何代码都应在专用的进程中并作为非特权用户运行，比如systemd-notify 。无特权的进程在将消息向特权进程传递之前应分析并验证信息。这就是所谓的特权分离，这已在安全感知软件中良好地实践了十多年。相比之下，Systemd解析来自不受信任来源的消息，由C写成，并在PID 1以root身份运行。如果你觉得systemd不需要特权分离，因为它只解析来自本地用户的消息，但请记住，在互联网时代，本地攻击往往会获得远程载体。 考虑一下 Shellshock, 还有今年的systemd会议中名为 "从Web浏览器谈到systemd"的演示。</p>
<p>Systemd对待安全问题上不犯错的态度在其他地方可以看出，比如PID 1的 main()函数中的这段代码：</p>
<pre>
</pre>
<ol>
<li>/* Disable the umask logic */ </li>
<li>if (getpid() == 1)  </li>
<li>umask(0); </li>
</ol>
<p>设置umask为0意味着，默认情况下systemd创建的任何文件都是全局可读可写的。Systemd定义了一个宏RUN_WITH_UMASK，这个宏被用来在systemd需要创建一个不同权限的文件时，临时设置一个更加严格的umask。因此，当创建文件时忘记修改umask将导致文件无法工作，这被称为失效安全设计。反而systemd是故障时打开的，因此，忘记修改umask(这已经发生过两次了)创建了一个文件，却是一个潜在的安全隐患。</p>
<p>Linux的生态系统在编写安全，健壮的软件方面落后于其他操作系统.</p>
<p>Microsoft强化Windows,Apple发展IOS，与此同时开源软件却变得自满，发展缓慢.</p>
<p>但是，我认为改进即将到来.心脏滴血和破壳漏洞唤醒了人们对加强开源软件安全性的意识，并直接导致对开源软件审查更加严格.</p>
<p>在编写系统类型的软件上，Go 和 Rust相比传统的C语言更具安全性。</p>
<p>Go 和 Rust 安全的语言编写，系统类型的软件，传统上使用C书写</p>
<p>Systemd是非常危险的，不只因为引入了成千上万缺乏关于长期安全考虑(例如权限分离或故障安全设计)的C代码,还因为该设置本身是不可替代的。</p>
<p>Systemd远远超过一个init系统：</p>
<p>它成为一个次级操作系统核心，提供了一个日子服务，一个设备管理器，一个容器管理器，一个登陆管理器，一个DHCP客户端，一个DNS解析器，和一个NTP客户端。</p>
<p>这些服务是相互依赖的并且提供为其他应用提供非标准的接口。</p>
<p>这造成systemd的组件很难被替代，这也将阻碍未来采用更安全的替代方案。</p>
<p>考虑到systemd的DNS 解析器。DNS是一个辅助的，安全敏感的协议。在2014，8月份，Lennart Poettering声称"systemd-resolved，现在是一个完全缓存的DNS和LLMNR(链路本地多播名称解析)桩解析器"。实际上，systemd-resolved未实现任何有记录的最佳实践的方式来预防DNS缓存污染。它容易受到Dan Kaminsky的缓存中毒攻击，在2008年其他DNS服务经过了大规模协调一致的响应处理后已经修复(djbdns 在1999年已经修复这个问题)。尽管systemd 不强制你使用 systemd-resolved,但是它在DBUS暴露了一个非标准的接口，而他们鼓励应用程序使用DBUS来替代在53端口的标准的DNS协议代。如果应用程序遵循这个建议，这将造成不可能使用更安全地DNS解析器替换systemd-resolved，除非该DNS解析器选择效仿systemd提供有的DBUS API。</p>
<p>停止这种做法还不是太晚。虽然大多数 Linux 发行版现在使用 systemd 以初始化它们的系统，init 是针对systemd 的进程，因其可替换性很差。但对于其他systemd试图取代的服务，并不也是这样，例如，网络管理，DNS 和 NTP 等。在现有的实现中，Systemd 提供了一些引人注目的特性，但也存在大量的风险。如果你是一个系统管理员，会抵制更换成现有的服务，而会转而更换更安全的服务。如果你是一个应用开发者，就不会使用 systemd 专有的接口。未来肯定会有更好的替换选择，肯定会比我们现在替换安全得多的选项。如果在未来，使得创新成为可能的模块化和标准化没有被systemd摧，那么，到时候再去采用它也是可以的。</p>
<p>本文作者：佚名</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:39:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/dns/" title="dns">dns</a>, <a href="https://www.iamivan.net/tag/bug/" title="bug">bug</a>, <a href="https://www.iamivan.net/tag/coredump/" title="coredump">coredump</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8%e8%ae%be%e8%ae%a1/" title="安全设计">安全设计</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何用一行命令让 Systemd 崩溃的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7d68M.html" rel="bookmark">windows7下如何用CMD命令复制和删除文件夹？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  有时候有些顽固的文件或者文件夹我们总是让你删除不掉,不要着急其实Win7系统自带的CMD命令就可以很好的解决这个问题,下面小编就为你介绍一下windows7下如何用CMD命令复制和删除文件夹. 如果我要把f盘的file文件夹复制到c盘根目录,如何用cmd命令实现呢?很简单: xcopy f:file c:file /e 如果要删除呢?也简单:假设删除d盘下的123文件夹 del/s/q d:123*.* ----(用于删除文件夹下的子文件) rd/s/q d:123 ----(用于删除文件夹			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3BA6M.html" rel="bookmark">加解密-求助：如何用openssl命令行命令生成des密钥</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求助:如何用openssl命令行命令生成des密钥 项目需要实现加解密,需要生成des密钥,不知道openssl命令该怎么写 解决方案 openssl genrsa -des3 -out client.key 1024			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWBW1p.html" rel="bookmark">图片-如何用dos命令进行局域网中两台电脑的聊天</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何用dos命令进行局域网中两台电脑的聊天 按照网上的net send 命令总是显示这个问题 解决方案 win7等已经没有这个命令了,这个是2000,nt系统下的.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQB3JwM.html" rel="bookmark">如何用Ant命令读取文本文件中每行的数据了，谢谢！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何用Ant命令读取文本文件中每行的数据了,谢谢! 解决方案 解决方案二:没有人知道吗?谢谢!解决方案三:师兄,你好,我是今年即将加入深圳华为产品数据部的应届生,您能给我讲讲您这么多年在这个部门的感受吗?比如:工作压力.假期.待遇等等.我表示不胜感激涕零解决方案四:ant留了很多接口,你可以调用java程序,或者系统的命令来读本地文件.如果是properties文件的话,好像不用调用外部程序ant也可以load进来.去apache找doc看看吧			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeR4axb.html" rel="bookmark">parallel&lowbar;invoke里的两个 任务，如何用Barrier命令同步？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 parallel_invoke里的两个 任务,如何用Barrier命令同步? 100C WIN7 64 VS2010VC++编程时,Concurrency::parallel_invoke里的两个 任务,如何用Barrier命令同步? 解决方案 这里有2篇文章和你的类似,你可以参考一下看看.http://www.hackhome.com/InfoView/213867_full.htmlhttp://www.infoq.com/cn/articles/meet-ppl-cpp-para			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXrX1z.html" rel="bookmark">编程-parallel&lowbar;invoke里的两个 任务，如何用Barrier命令同步？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 parallel_invoke里的两个 任务,如何用Barrier命令同步? WIN7 64 VS2010,VC++编程时,Concurrency::parallel_invoke里的两个 任务,如何用Barrier命令同步? 解决方案 这里有2篇文章和你的类似,你可以参考一下看看.http://www.hackhome.com/InfoView/213867_full.htmlhttp://www.infoq.com/cn/articles/meet-ppl-cpp-parallel			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPxYOqp.html" rel="bookmark">2010年写的一个小工具发现原来只需一行命令即可！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ 2010年写的一个小工具发现原来只需一行命令即可! 时间过得很快,转眼间2016年下半年了, 2010年写过一个小工具:http://blog.csdn.net/yangzhenping/article/details/5333184 ping一个网段的cmd程序  http://download.csdn.net/source/2084490 今天发现只要在cmd命令行工具中输入: FOR /L %i IN (1,1,254) DO ping -n 1 192.168.1.%i 即可.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boaXV3p.html" rel="bookmark">一行命令获取当前JVM所有可设置的参数以及当前默认值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一行命令获取当前JVM所有可设置的参数以及当前默认值 java -XX:+PrintFlagsInitial  &gt;&gt;1.txt 然后查看这个1.txt即可 uintx AdaptivePermSizeWeight = 20 {product} uintx AdaptiveSizeDecrementScaleFactor = 4 {product} uintx AdaptiveSizeMajorGCDecayTimeScale = 10 {product} uintx AdaptiveSizeP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6wg2Ap.html" rel="bookmark">如何用cmd命令加密文件夹</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何用cmd命令加密文件夹? 首先先从开始-运行中打开Cmd窗口.然后在cmd窗口中输入如下命令 md d:\test..\ 在d盘上创建一个名为test.的文件夹.我们刚才在d盘创建的那个文件夹在普通方式是打不开的,不信你就试试. 那么我们如何才能打开这个test.的文件夹哪? 既然我们可以通过cmd命令能创建那么也应该可以用同样的方式去访问他,下面我们在cmd窗口中输入 cd d:\test~1 (你也可以试试这个&quot;start d:\test..\&quot;) 按下回车后果真可去进入该文件			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvq9Ab.html" rel="bookmark" class="title">jquery克隆</a>
					<div>
						所有类型节点都会有一个方法就是cloneNode,也就是克隆节点.克隆的操作也是我们常常需要使用的,本来就是一个很简单的接口,但是还是有一些细节问题需要处理. cloneNode不会复制javascr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdBZAb.html" rel="bookmark" class="title">用AJAX制作相册程序源码示例</a>
					<div>
						AJAX(Asynchronous JavaScript And XML)是一种运用JavaScript和可扩展标记语言(XML),在网络浏览器和服务器之间传送或接受数据的技术.主要应用于Ria(Ri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj9Gnz.html" rel="bookmark" class="title">ANT 操控 ORACLE数据库实践</a>
					<div>
						oracle|数据|数据库 ANT 操控 ORACLE数据库实践 By guipei 2005-3-21   最近,开发工作比较繁忙,经常会把项目带回家加班干活,项目使用oracle数据库,因为家里的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AAZRp.html" rel="bookmark" class="title">在服务器安装sendmail及修改php&period;ini</a>
					<div>
						在服务器安装 sendmail sudo apt-get install sendmail 启动 sendmail sudo /etc/init.d/sendmail start 修改 php.ini ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPWKjM.html" rel="bookmark" class="title">关系数据库理论</a>
					<div>
						本文主要介绍与建立关系数据库中的关系模式(即关系表结构)密切相关的关系数据库设计的理论基础,也就是关系范式的有关基本知识.范式理论为判断关系模式的好坏提供了理论标准,是数据库设计人员设计数据库的重要依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW15rAz.html" rel="bookmark" class="title">nagios 飞信通知</a>
					<div>
						OS:ubuntu server 7.10 Nagios:Nagios 3.0.3 软件: sms飞信客户端 前几天有个朋友问我,nagios是如何短信通知,是不是需要买一个商业的url地址,看到还有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6oJvz.html" rel="bookmark" class="title">Android开发之表格布局</a>
					<div>
						TableLayout置底,TableRow在TableLayout的上面,而Button.TextView等控件就在TableRow之上, 另外,TableLayout之上也可以单独放控件.Tabl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ABWmp.html" rel="bookmark" class="title">C&plus;&plus; sizeof 实例解析</a>
					<div>
						下面5个列子针对C++,没有涉及到sizeof字节对齐及基本数据类型即只针对C++特有,并且针对的是32位机   在C++中使用sizeof要比C复杂很多,因为C++类中有static静态变量,vir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNj0KM.html" rel="bookmark" class="title">Word文档自动生成公式编号</a>
					<div>
						  大家在使用office2010制作Word文档的时候想要在Word文档自动生成公式编号,那么office2010怎么在Word文档自动生成公式编号呢?其实方法很简单哦,只要打开文档选择插入公式位置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oEwnb.html" rel="bookmark" class="title">Thumbs&period;db是什么文件可以删除吗&quest;</a>
					<div>
						  一.Thumbs.db是什么文件? Thumbs.db是一个用于Windows或mac os x缓存Windows Explorer的缩略图的文件.Thumbs.db保存在每一个包含图片或照片的目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwAq7p.html" rel="bookmark" class="title">【特稿】万维网之父获图灵奖，纪念闪耀人工智能历史长廊十位大师</a>
					<div>
						2017年4月4日,美国计算机协会(ACM)公布了2016年图灵奖的获得者:万维网(World Wide Web)的发明人.麻省理工学院教授 Tim Berners-Lee. 美国计算机协会给 Tim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7vRop.html" rel="bookmark" class="title">详解Java外部功能接口</a>
					<div>
						JDK增强提案(JEP)191定义了Java Foreign Function Interface(FFI),它是可以将本地函数绑定到Java方法以及管理本地内存块的接口.该提案会使得向JDK中添加本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrLkZM.html" rel="bookmark" class="title">java求一个如何切分多个时间段算法</a>
					<div>
						问题描述 java求一个如何切分多个时间段算法 例如现在有时间 5.13-10.1 5.3-6.1 6.1-6.2 怎么能变成 5.3-5.13 5.13-6.1 6.1-6.2 解决方案 先按照 杠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrLV0M.html" rel="bookmark" class="title">Linux驱动1&lowbar;DebugFS</a>
					<div>
						// DebugFS: // 默认情况下,debugfs会被挂载在目录/sys/kernel/debug // 手动挂载,mount -t debugfs none /your/debugfs/dir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ1Zap.html" rel="bookmark" class="title">xsd-初学者spring aop&sol;tx配置出现问题不会</a>
					<div>
						问题描述 初学者spring aop/tx配置出现问题不会 错误信息: Multiple annotations found at this line: - schema_reference.4: F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My37X8z.html" rel="bookmark" class="title">携手阿里 &OpenCurlyDoubleQuote;云上贵州&rdquo;再发力</a>
					<div>
						--7+N云工程观摩汇报会暨阿里云开发者大会西南峰会将在贵阳召开 本文讲的是携手阿里 &quot;云上贵州&quot;再发力,12月11日消息,贵州联合阿里巴巴将于本月20日-22日在贵阳联合举办&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKR5Nb.html" rel="bookmark" class="title">android中方法setContentView和方法findViewById的区别和联系是什么</a>
					<div>
						问题描述 android中方法setContentView和方法findViewById的区别和联系是什么 android中方法setContentView和方法findViewById的区别和联系是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDNqez.html" rel="bookmark" class="title">基于Netty4的HttpServer和HttpClient的简单实现</a>
					<div>
						Netty的主页:http://netty.io/index.html 使用的Netty的版本:netty-4.0.23.Final.tar.bz2 ‐ 15-Aug-2014 (Stable, Re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rXaKp.html" rel="bookmark" class="title">郭巍青：网络共识为基层治理变革探路</a>
					<div>
						特约记者 王秀宁 访谈嘉宾 郭巍青(中山大学政治与公共事务管理学院教授) 不可复制的&quot;发展样板&quot; 时代周报:在我看来,宜黄事件很典型地反映了目前基层治理的一个基本困境.在这个事件中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYj0Ep.html" rel="bookmark" class="title">ELK中无法启动kibana提示&OpenCurlyDoubleQuote;Elasticsearch is still initializing&period;&period;&period;&rdquo;</a>
					<div>
						kibana出现无法启动的问题,5601端口未连接,但进程存在,查看日志发现有如下报错 &quot;Elasticsearch is still initializing the kibana ind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmwm6b.html" rel="bookmark" class="title">软文技巧：百度秘推出交友中心51&period;com何去何从？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 [编注]以下是一篇非常经典的软文,发在这里主要是给站长参考使用并延伸. 百度秘推出交友中心,51.com何去何从? 提示:几个月前,有关百度即将推出&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkOg0M.html" rel="bookmark" class="title">什么是人工智能（AI）？</a>
					<div>
						机器会思考吗?今天可以会有人告诉我:&quot;机器,当然会思考了&quot;,它们已经能够回答我吗很多问题了,例如微软小冰(一款基于语言识别能力,语言合成技术,大语料库的自然语言对话引擎),我们可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnJgWM.html" rel="bookmark" class="title">weblogic优化问题，应用多次发布</a>
					<div>
						问题描述 weblogic优化问题,应用多次发布 发布应用经常报错java.lang.OutOfMemoryError: PermGen space,使用jconsole监控后,发现每次删除应用后 内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod0WjM.html" rel="bookmark" class="title">rest架构get、post问题</a>
					<div>
						问题描述 大家如何理解rest的get.post方法,从设计思想上看get用于获取服务端的一个资源,而post用于更改服务端的一个资源.在实际使用的时候,如果想获取服务端的资源,应该使用get方法,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZPLVb.html" rel="bookmark" class="title">急！！！哪位前辈有时间帮忙看一下</a>
					<div>
						问题描述 哪位前辈有时间帮忙看一下breakMISSING_BLOCK_LABEL_365;Exceptionexception;exception;------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLZgEM.html" rel="bookmark" class="title">网页涉嫌侵权重庆馋猫网关门</a>
					<div>
						在北京饭统网等知名订餐网站出现的时候,我市一家名叫馋猫的订餐网站也应运而生. 在进行简单的登记等手续后,2005年,解放碑上班的白领王小姐创立了馋猫订餐网.两三个月后,馋猫网就进行得有声有色,有了大批 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVNG7z.html" rel="bookmark" class="title">多种方式实现JS调用后台方法进行数据交互&lowbar;javascript技巧</a>
					<div>
						项目开发过程中很多地方都需要前端和后台的数据交互,几种典型常用的方法如利用控件的AutopostBack属性.Button提交表单等等.但这些都是有条件的,AutoPostBack具有实时性但会刷新页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j8Yvp.html" rel="bookmark" class="title">C&num; 如何将从文本文件读入的字符串进行处理，去掉标点呢（英文文档）</a>
					<div>
						问题描述 如题坐等解答!谢谢! 解决方案 解决方案二:需求不太明确,哪些是标点呢?这样先试试:strings=File.ReadAllText(@&quot;c:test.txt&quot;);str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLW3BM.html" rel="bookmark" class="title">自动化持续部署的三种反模式及解决方案</a>
					<div>
						自动化持续部署是业界最佳实践,以此为目标,能优化IT模式. 在接触的很多企业中,持续部署实践依然还有很多不足,基本上部署靠人,更别谈自动化了.我一直强调持续部署是IT交付的核心能力,直接关联到研发/测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWe5rM.html" rel="bookmark" class="title">谷歌收购芬兰3D图形公司 交易价达千万美元级别</a>
					<div>
						北京时间7月24日消息,据科技博客ZDNet报道,周三,谷歌收购了位于芬兰赫尔辛基的3D图形http://www.aliyun.com/zixun/aggregation/17703.html&quo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
